@cc_on

function isDefined(theValue)
{
  return Boolean(theValue==theValue);
}

function isDefined2(theValue)
{
  return (!isNaN(theValue));
}


function formatLine(testValue)
{
	var tl,tv;
	tl=testValue.length;
	tv=testValue;
	if (tl < 9) 
		while(9-(--tl)!=9) tv+=" ";
	else
		tv=testValue;
	return (tv+ "\t"+ isDefined(eval(testValue)).toString());
}

WScript.Echo("Variable\tValue")
WScript.Echo("---------\t-----")
WScript.Echo(formatLine("@_win32"));
WScript.Echo(formatLine("@_win16"));
WScript.Echo(formatLine("@_mac"));
WScript.Echo(formatLine("@_alpha"));
WScript.Echo(formatLine("@_x86"));
WScript.Echo(formatLine("@_mc680x0"));
WScript.Echo(formatLine("@_PowerPC"));
WScript.Echo(formatLine("@_jscript"));


/* Output:

Variable        Value
---------       -----
@_win32         true
@_win16         false
@_mac           false
@_alpha         false
@_x86           true
@_mc680x0       false
@_PowerPC       false
@_jscript       true

*/